DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Static Public Member Functions | Private Attributes | List of all members
DiPNGPlugin Class Reference

Implementation of a PNG plugin for the dcmimgle/dcmimage library. More...

Inheritance diagram for DiPNGPlugin:

## Public Member Functions
| DiPNGPlugin ()
| constructor
virtual | ~DiPNGPlugin ()
| destructor
virtual int | write (DiImage *image, FILE *stream, const unsigned long frame=0) const
| write given image to a file stream (PNG format) More...
void | setInterlaceType (DiPNGInterlace inter)
| set interlace type for PNG creation More...
void | setMetainfoType (DiPNGMetainfo minfo)
| set metainfo type for PNG creation More...
Public Member Functions inherited from DiPluginFormat
virtual | ~DiPluginFormat ()
| destructor (virtual)

## Static Public Member Functions
static OFString | getLibraryVersionString ()
| get version information of the PNG library. More...

## Private Attributes
DiPNGInterlace | interlaceType
| PNG interlace type.
DiPNGMetainfo | metainfoType
| PNG metainfo type.
int | bitsPerSample
| bits per sample (8 or 16, default: 8)

## Additional Inherited Members
Protected Member Functions inherited from DiPluginFormat
| DiPluginFormat ()
| constructor (protected)

## Detailed Description

Implementation of a PNG plugin for the dcmimgle/dcmimage library.

Remarks
  This class is only available if DCMTK is compiled with PNG (libpng) support enabled.

## Member Function Documentation

## ◆ getLibraryVersionString()

static OFString DiPNGPlugin::getLibraryVersionString | ( |  | ) |
| static

get version information of the PNG library.

Typical output format: "LIBPNG, Version 3.5.7"

Returns
  name and version number of the PNG library

## ◆ setInterlaceType()

void DiPNGPlugin::setInterlaceType | ( | DiPNGInterlace | inter | ) |

set interlace type for PNG creation

Parameters

  inter | interlace type

## ◆ setMetainfoType()

void DiPNGPlugin::setMetainfoType | ( | DiPNGMetainfo | minfo | ) |

set metainfo type for PNG creation

Parameters

  minfo | metainfo type

## ◆ write()

virtual int DiPNGPlugin::write | ( | DiImage * | image,
|  | FILE * | stream,
|  | const unsigned long | frame = `0`
| ) |  | const
| virtual

write given image to a file stream (PNG format)

Parameters

  image | pointer to DICOM image object to be written
  stream | stream to which the image is written (open in binary mode!)
  frame | index of frame used for output (default: first frame = 0)

Returns
  true if successful, false otherwise

Implements DiPluginFormat.

The documentation for this class was generated from the following file:

- dcmimage/include/dcmtk/dcmimage/dipipng.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1